Problem running ScalaTest tests after latest update (0.5.800)

Hi guys, thanks so much for your work on the Scala plugin.

Just updated to latest version, and getting an exception while trying to run ScalaTest tests:

<<removed lots of stuff>>
/Applications/IntelliJ IDEA 11 CE.app/lib/idea_rt.jar" com.intellij.rt.execution.application.AppMain org.jetbrains.plugins.scala.testingSupport.scalaTest.ScalaTestRunner -s no.kf.usermanagement.service.LdapServiceCOTest -useOlderScalaTestVersion false -r org.jetbrains.plugins.scala.testingSupport.scalaTest.ScalaTestReporter -useOlderScalaTestVersion false -C org.jetbrains.plugins.scala.testingSupport.scalaTest.ScalaTestReporter -showProgressMessages true
Testing started at 11:38 ...
Exception in thread "main" java.lang.NumberFormatException: For input string: "8/scalatest_2"
 at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
 at java.lang.Integer.parseInt(Integer.java:458)
 at java.lang.Integer.parseInt(Integer.java:499)
 at org.jetbrains.plugins.scala.testingSupport.scalaTest.ScalaTestRunner.isUseOlderScalaTestVersion(ScalaTestRunner.java:144)
 at org.jetbrains.plugins.scala.testingSupport.scalaTest.ScalaTestRunner.main(ScalaTestRunner.java:41)
 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
 at java.lang.reflect.Method.invoke(Method.java:597)
 at com.intellij.rt.execution.application.AppMain.main(AppMain.java:120)



We are using scalatest_2.9.2-1.8.jar.

It runs fine with the Junit testrunner, just a bit annoying to set it up everytime in stead of using a shortcut to start the ScalaTest testrunner. Any ideas how to fix this?

Cheers,
Alf
5 comments
Comment actions Permalink

I have same error. I think support 1.8 ScalaTest not work properly.

0
Comment actions Permalink

I had the same error, while using ScalaTest 1.6.1 (scala 2.9.1).

Looking at the run configuration generated for the test, I noticed a checkbox labeled: "Use Scala Test version under 1.8"

Checking that got my test running again.

I don't know if this could make your ScalaTest 1.8 any happier, but it won't hurt to try.


Cheers,
Maarten

0
Comment actions Permalink

I had this error on Scala Test 1.8 With 1.7.2 its work fine.

0
Comment actions Permalink

Thanks for the tip. Tried it, and unfortunately did not work :(

Cheers,
Alf

0
Comment actions Permalink

Solved in 0.5.808, that was fast. Thanks guys! :)

0

Please sign in to leave a comment.